cURL
curl --request GET \
--url 'https://app.teable.ai/api/template?skip=0&take=300' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'[
{
"id": "<string>",
"snapshot": {
"baseId": "<string>",
"snapshotTime": "2023-11-07T05:31:56Z",
"spaceId": "<string>",
"name": "<string>"
},
"cover": {
"token": "xxxxxxxxxxx",
"size": 1024,
"url": "/bucket/xxxxx",
"path": "/table/xxxxxx",
"mimetype": "video/mp4",
"name": "<string>",
"id": "<string>",
"presignedUrl": "<string>",
"width": 100,
"height": 100,
"thumbnailPath": {
"lg": "<string>",
"sm": "<string>"
}
},
"usageCount": 123,
"visitCount": 123,
"createdBy": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>",
"email": "<string>"
},
"name": "<string>",
"categoryId": [
"<string>"
],
"isSystem": true,
"featured": true,
"isPublished": true,
"description": "<string>",
"baseId": "<string>",
"markdownDescription": "<string>",
"publishInfo": {
"nodes": [
"<string>"
],
"includeData": true,
"defaultActiveNodeId": "<string>",
"defaultUrl": "<string>"
}
}
]template
Get template
get template list
GET
/
template
cURL
curl --request GET \
--url 'https://app.teable.ai/api/template?skip=0&take=300' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'[
{
"id": "<string>",
"snapshot": {
"baseId": "<string>",
"snapshotTime": "2023-11-07T05:31:56Z",
"spaceId": "<string>",
"name": "<string>"
},
"cover": {
"token": "xxxxxxxxxxx",
"size": 1024,
"url": "/bucket/xxxxx",
"path": "/table/xxxxxx",
"mimetype": "video/mp4",
"name": "<string>",
"id": "<string>",
"presignedUrl": "<string>",
"width": 100,
"height": 100,
"thumbnailPath": {
"lg": "<string>",
"sm": "<string>"
}
},
"usageCount": 123,
"visitCount": 123,
"createdBy": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>",
"email": "<string>"
},
"name": "<string>",
"categoryId": [
"<string>"
],
"isSystem": true,
"featured": true,
"isPublished": true,
"description": "<string>",
"baseId": "<string>",
"markdownDescription": "<string>",
"publishInfo": {
"nodes": [
"<string>"
],
"includeData": true,
"defaultActiveNodeId": "<string>",
"defaultUrl": "<string>"
}
}
]授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
The templates count you want to skip
示例:
0
The templates count you want to take
示例:
300
响应
201 - application/json
Successfully get template list.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
最后修改于 2026年3月5日
此页面对您有帮助吗?
⌘I

